Skip to content
docs/API reference/ModelRouterService

ModelRouterService

The ModelRouterService methods and their request and response messages.

Generated from model_router.proto. Every method is POST /rpc/engram.app.v1.ModelRouterService/<Method> with a JSON or protobuf body and an x-api-key header.

Method Request Response
ListModelRouters ListModelRoutersRequest ListModelRoutersResponse
ListRouterModels ListRouterModelsRequest ListRouterModelsResponse
RefreshRouterModels RefreshRouterModelsRequest RefreshRouterModelsResponse
UpdateRouterModelPolicy UpdateRouterModelPolicyRequest UpdateRouterModelPolicyResponse

No fields.

Field Type
routers repeated ModelRouter
Field Type
router_id string
audience RouterModelAudience
search string
Field Type
models repeated RouterModel
Field Type
id string
label string
description string
protocols repeated string
credential_secret string
egress_hosts repeated string
credential_configured bool
last_successful_sync_at string (optional)
last_sync_error string (optional)
model_count uint32
available_model_count uint32
enabled_model_count uint32
default_model string
Field Type
router_id string
Field Type
discovered uint32
available uint32
marked_unavailable uint32
Field Type
router_id string
id string
canonical_slug string
name string
author string (optional)
description string (optional)
context_length uint64
prompt_price string (optional)
completion_price string (optional)
input_modalities repeated string
output_modalities repeated string
supported_parameters repeated string
hugging_face_id string (optional)
available bool
enabled bool
user_enabled bool
upstream_url string
updated_at string
supports_reasoning bool
Field Type
router_id string
model_id string
enabled bool
user_enabled bool
Field Type
model RouterModel
Value Number
ROUTER_MODEL_AUDIENCE_UNSPECIFIED 0
ROUTER_MODEL_AUDIENCE_USER 1
ROUTER_MODEL_AUDIENCE_PROGRAMMATIC 2
ROUTER_MODEL_AUDIENCE_ADMIN_CATALOG 3